Subject: Re: [PATCH net-next 5/9] bnxt_en: Remove BNXT_FLAG_USING_MSIX flag

From: Bjorn Helgaas <[email-masked]>
Date: Mon, 15 Jul 2024 12:32:52 -0500

On Sat, Jul 13, 2024 at 04:43:35PM -0700, Michael Chan wrote:
> Now that we only support MSIX, the BNXT_FLAG_USING_MSIX is always true.
> Remove it and any if conditions checking for it.  Remove the INTX
> handler and associated logic.

The cover letter says new firmware (the revision isn't mentioned)
doesn't support INTx.  I guess it's OK if the new driver without INTx
support runs on adapters with old firmware that still supports INTx?
So the INTx support was never a real benefit?  I assume this driver
change won't force a simultaneous firmware update?  The old driver
might work in a "pci=nomsi" situation, but the new one probably won't?
Just checking to be sure these are all acceptable consequences.